From 6208af9ab58e1eaf21dc731d156c76c677efb595 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 23:30:56 +0000
Subject: [PATCH 1865/2232] Resolve map_flatten pedantic clippy lint


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index c270415..ffce380 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -54,7 +54,6 @@
     clippy::inherent_to_string,
     clippy::items_after_statements,
     clippy::let_underscore_drop,
-    clippy::map_flatten,
     clippy::match_bool,
     clippy::match_on_vec_items,
     clippy::match_same_arms,
@@ -445,7 +444,7 @@ fn best_effort_copy_headers(src: &Path, dst: &Path, max_depth: usize) {
             }
             Ok(file_type) if file_type.is_file() => {
                 let src = entry.path();
-                match src.extension().map(|x| x.to_str()).flatten() {
+                match src.extension().and_then(|x| x.to_str()) {
                     Some("h") | Some("hh") | Some("hpp") => {}
                     _ => continue,
                 }

